"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var scratchview_common_1 = require("./scratchview.common");
var ScratchView = (function (_super) {
    __extends(ScratchView, _super);
    function ScratchView() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ScratchView.prototype, "android", {
        get: function () {
            return this.nativeView;
        },
        enumerable: true,
        configurable: true
    });
    ScratchView.prototype.createNativeView = function () {
        var _this = this;
        var scratchcard = new com.example.scratchcardlib.views.CustomScratchView(this._context);
        scratchcard.setRevealListener(new com.example.scratchcardlib.views.CustomScratchView.IRevealListener({
            onRevealed: function () {
                _this.notify({
                    eventName: scratchview_common_1.Common.revealedEvent,
                    object: _this
                });
            },
            onRevealPercentChangedListener: function (percent) {
                _this.notify({
                    eventName: scratchview_common_1.Common.percentRevealedEvent,
                    object: _this,
                    percent: Math.floor(percent)
                });
            }
        }));
        return scratchcard;
    };
    ScratchView.prototype[scratchview_common_1.strokeWidthProperty.setNative] = function (value) {
        this.nativeView.setStrokeWidth(parseInt(value));
    };
    ScratchView.prototype.reveal = function () {
        this.nativeView.reveal();
    };
    return ScratchView;
}(scratchview_common_1.Common));
exports.ScratchView = ScratchView;
//# sourceMappingURL=scratchview.android.js.map